# eric3.Debugger.ExceptionLogger

Module implementing the Exception Logger widget.

### Classes

ExceptionLogger | Class implementing the Exception Logger widget.

### Functions

None

## ExceptionLogger

Class implementing the Exception Logger widget. This class displays a log of all exceptions having occured during a debugging session.

### Derived from

QListView

### Methods

ExceptionLogger | Constructor
addException | Public slot to handle the arrival of a new exception.
contentsMouseDoubleClickEvent | Protected method of QListView.
debuggingStarted | Public slot to clear the listview upon starting a new debugging session.
handleContextMenu | Private slot to show the context menu of the listview.
handleOpen | Private slot to handle a double click on an entry.

### ExceptionLogger (Constructor)

ExceptionLogger(parent=None)

Constructor

parent
  the parent widget of this widget

### ExceptionLogger.addException

addException(status)

Public slot to handle the arrival of a new exception.

status
  exception information

### ExceptionLogger.contentsMouseDoubleClickEvent

contentsMouseDoubleClickEvent(mouseEvent)

Protected method of QListView. Reimplemented to disable expanding/collapsing of items when double-clicking. Instead the double-clicked entry is opened.

mouseEvent
  the mouse event (QMouseEvent), ignored

### ExceptionLogger.debuggingStarted

debuggingStarted()

Public slot to clear the listview upon starting a new debugging session.

### ExceptionLogger.handleContextMenu

handleContextMenu(itm, coord, col)

Private slot to show the context menu of the listview.

col
  the column number of the mouse pointer (int)
coord
  the global coordinates of the mouse pointer (QPoint)
itm
  the item, that was right clicked (QListViewItem)

### ExceptionLogger.handleOpen

handleOpen()

Private slot to handle a double click on an entry.

Up